EDIT - task #7795

untilis xml DataSets creation without "[NULL]" values
09/28/2018 11:13 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal

Description

After upgrading to Unitils 3.x it was needed to add "[NULL]" values to the attributed in the xml datasets since the
MultiSchemaXmIDataSetReader use in this version was requiring these values for some reason, otherwise the columns in data
tables would have been incomplete. Only the fields for which attributes existe din the first xml element where taken in to account.

Now this issue seems to be fixed in Unitils and cluttering the datasets with "NULL" attributes is no longer needed.

Associated revisions

Revision a400c76f - 09/28/2018 11:14 AM - Andreas Kohlbecker

fix #7795 untilis xml DataSets can optionally be created without "[NULL]" values

History

#1 - 09/28/2018 11:14 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|a400c76fcbbe92ca47c01798c378a44bf73a3e4dd.

#2 - 09/28/2018 11:20 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

now that we can create datasets without "[NULL]"s we can clean up the test datasets if needed.
If you don't feel like you want to review my changes, you can just close this issue as complete. | merely passed it to you in order to point you to this
improvement.

#3 - 10/17/2018 09:55 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miller to Andreas Kohlbecker

- % Done changed from 50 to 100

| havn't really tested, just looked at the code. Good we have changed it not. The NULL values are disturbing.
